# $Revision: 1.12 $, $Date: 2006/11/26 15:34:32 $
%define		_modname	tidy
%define		_status		stable
%define		_sysconfdir	/etc/php4
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - Tidy HTML Repairing and Parsing
Summary(pl):	%{_modname} - Czyszczenie, naprawa oraz parsowanie HTML
Name:		php4-pecl-%{_modname}
Version:	1.2
Release:	3
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	8c1c92d9386c56d483b1115d207c0293
URL:		http://pecl.php.net/package/tidy/
BuildRequires:	php4-devel
BuildRequires:	rpmbuild(macros) >= 1.322
BuildRequires:	tidy-devel
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Provides:	php(tidy)
Obsoletes:	php-pear-%{_modname}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tidy is a binding for the Tidy HTML clean and repair utility which
allows you to not only clean and otherwise manipluate HTML documents,
but also traverse the document tree using the Zend Engine 2 OO
semantics.

In PECL status of this package is: %{_status}.

%description -l pl
Tidy jest dowizaniem do narzdzia "Tidy HTML clean and repair", ktre
pozwala nie tylko na czyszczenie oraz manipulacj dokumentami HTML,
ale take na przemierzanie przez struktur dokumentu za pomoc
zorientowanej obiektowo semantyki silnika Zend Engine 2.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/conf.d

%{__make} -C %{_modname}-%{version} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php4.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php4.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,TODO,README}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php4-pecl-tidy.spec,v $
Revision 1.12  2006/11/26 15:34:32  glen
- rel 3: add Provides: php(%{_modname})

Revision 1.11  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.10  2006/09/29 14:11:56  glen
- update to 1.2

Revision 1.9  2005/10/30 13:32:12  glen
- rel 3

Revision 1.8  2005/10/30 10:25:24  glen
- rebuild with zts and debug requires

Revision 1.7  2005/10/27 15:22:12  glen
- rebuild with php(debug) and php(thread-safety) macros
- rel 2

Revision 1.6  2005/09/13 23:18:36  glen
- workaround for spec parser having macro undefined yet and not seeing BR

Revision 1.5  2005/09/13 21:11:08  glen
- use new php/zend api macros

Revision 1.4  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.3  2005/09/11 22:03:28  glen
- full conf.d support and unifications

Revision 1.2  2005/08/28 23:44:22  glen
- add missing %doc

Revision 1.1  2005/08/28 23:39:28  glen
- based on php-pecl-tidy.spec
